## EDataCalFactory

EDataCalFactory — Implementation of the calendar CORBA factory.

## Synopsis

                        EDataCalFactory;
    EDataCalFactory*    e_data_cal_factory_new              (void);
    gboolean            e_data_cal_factory_register_storage (EDataCalFactory *factory,
                                                             const char *iid);
    void                e_data_cal_factory_register_backend (EDataCalFactory *factory,
                                                             ECalBackendFactory *backend_factory);
    void                e_data_cal_factory_register_backends
                                                            (EDataCalFactory *factory);
    int                 e_data_cal_factory_get_n_backends   (EDataCalFactory *factory);
    void                e_data_cal_factory_dump_active_backends
                                                            (EDataCalFactory *factory);
    void                e_data_cal_factory_set_backend_mode (EDataCalFactory *factory,
                                                             int mode);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----EDataCalFactory

## Signals

      "last-calendar-gone"                             : Run First

## Description

## Details

### EDataCalFactory

    typedef struct _EDataCalFactory EDataCalFactory;

### e_data_cal_factory_new ()

    EDataCalFactory*    e_data_cal_factory_new              (void);

Returns : |

### e_data_cal_factory_register_storage ()

    gboolean            e_data_cal_factory_register_storage (EDataCalFactory *factory,
                                                             const char *iid);

`factory` : |
`iid` : |
Returns : |

### e_data_cal_factory_register_backend ()

    void                e_data_cal_factory_register_backend (EDataCalFactory *factory,
                                                             ECalBackendFactory *backend_factory);

`factory` : |
`backend_factory` : |

### e_data_cal_factory_register_backends ()

    void                e_data_cal_factory_register_backends
                                                            (EDataCalFactory *factory);

`factory` : |

### e_data_cal_factory_get_n_backends ()

    int                 e_data_cal_factory_get_n_backends   (EDataCalFactory *factory);

`factory` : |
Returns : |

### e_data_cal_factory_dump_active_backends ()

    void                e_data_cal_factory_dump_active_backends
                                                            (EDataCalFactory *factory);

`factory` : |

### e_data_cal_factory_set_backend_mode ()

    void                e_data_cal_factory_set_backend_mode (EDataCalFactory *factory,
                                                             int mode);

`factory` : |
`mode` : |

## Signal Details

### The `"last-calendar-gone"` signal

    void                user_function                      (EDataCalFactory *edatacalfactory,
                                                            gpointer         user_data)            : Run First

`edatacalfactory` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.